Package weka.core.scripting

# Class Groovy

java.lang.Object
weka.core.scripting.Groovy

All Implemented Interfaces:
  `Serializable`, `RevisionHandler`

public class Groovy extends Object implements Serializable, RevisionHandler
A helper class for Groovy.

In order to use Groovy, the jar containing all the classes must be present in the CLASSPATH. This jar is normally found in the embeddable sub-directory of the Groovy installation.

Tested with Groovy 1.5.7.

Version:
  $Revision: 13695 $
Author:
  fracpete (fracpete at waikato dot ac dot nz)
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_GROOVYCLASSLOADER`
  the classname of the Groovy classloader.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Groovy()`
  default constructor, tries to instantiate a Groovy classloader.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `getClassLoader()`
  returns the currently used Groovy classloader.
  `String`
  `getRevision()`
  Returns the revision string.
  `static Object`
  `invoke(Object o, String methodName, Class<?>[] paramClasses, Object[] paramValues)`
  executes the specified method and returns the result, if any.
  `Object`
  `invoke(String methodName, Class<?>[] paramClasses, Object[] paramValues)`
  executes the specified method on the current interpreter and returns the result, if any.
  `static boolean`
  `isPresent()`
  returns whether the Groovy classes are present or not, i.e.
  `static void`
  `main(String[] args)`
  If no arguments are given, it just prints the presence of the Groovy classes, otherwise it expects a Groovy filename to execute.
  `static Object`
  `newClassLoader()`
  initializes and returns a Groovy Interpreter.
  `static Object`
  `newInstance(File file, Class<?> template)`
  loads the module and returns a new instance of it as instance of the provided Java class template.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CLASS_GROOVYCLASSLOADER

    public static final String CLASS_GROOVYCLASSLOADER
    the classname of the Groovy classloader.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### Groovy

    public Groovy()
    default constructor, tries to instantiate a Groovy classloader.

- ## Method Details

  - ### getClassLoader

    public Object getClassLoader()
    returns the currently used Groovy classloader.
    Returns:
      the classloader, can be null

  - ### invoke

    public Object invoke(String methodName, Class<?>[] paramClasses, Object[] paramValues)
    executes the specified method on the current interpreter and returns the result, if any.
    Parameters:
      `methodName` - the name of the method
      `paramClasses` - the classes of the parameters
      `paramValues` - the values of the parameters
    Returns:
      the return value of the method, if any (in that case null)

  - ### isPresent

    public static boolean isPresent()
    returns whether the Groovy classes are present or not, i.e. whether the classes are in the classpath or not
    Returns:
      whether the Groovy classes are available

  - ### newClassLoader

    public static Object newClassLoader()
    initializes and returns a Groovy Interpreter.
    Returns:
      the interpreter or null if Groovy classes not present

  - ### newInstance

    public static Object newInstance(File file, Class<?> template)
    loads the module and returns a new instance of it as instance of the provided Java class template.
    Parameters:
      `file` - the Groovy module file
      `template` - the template for the returned Java object
    Returns:
      the Groovy object

  - ### invoke

    public static Object invoke(Object o, String methodName, Class<?>[] paramClasses, Object[] paramValues)
    executes the specified method and returns the result, if any.
    Parameters:
      `o` - the object the method should be called from, e.g., a Groovy Interpreter
      `methodName` - the name of the method
      `paramClasses` - the classes of the parameters
      `paramValues` - the values of the parameters
    Returns:
      the return value of the method, if any (in that case null)

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Specified by:
      `getRevision` in interface `RevisionHandler`
    Returns:
      the revision

  - ### main

    public static void main(String[] args)
    If no arguments are given, it just prints the presence of the Groovy classes, otherwise it expects a Groovy filename to execute.
    Parameters:
      `args` - commandline arguments